## pymongo 3.7.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyMongo.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyMongo.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## pymongo 1.7

=== debian/changelog ===
pymongo (1.7-1) unstable; urgency=low

  * New upstream release.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Thu, 24 Jun 2010 09:44:11 +0100

pymongo (1.6-1) unstable; urgency=low

  * New upstream release.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sat, 24 Apr 2010 22:24:31 +0100

pymongo (1.5.2-1) unstable; urgency=low

  * Initial release (Closes: #573754)

 -- Federico Ceratto <federico.ceratto@gmail.com>  Mon, 05 Apr 2010 15:50:58 +0100

=== debian/control ===
Source: pymongo
Section: python
Priority: optional
Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev, python-support (>= 0.90.0~), python-setuptools
Standards-Version: 3.8.4
Homepage: http://api.mongodb.org/python/
Vcs-Git: git://git.debian.org/git/collab-maint/pymongo.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/pymongo.git

Package: python-pymongo
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Description: Python interface to the MongoDB document-oriented database
 MongoDB is a high-performance, open source, schema-free
 document-oriented data store. Pymongo provides an interface
 to easily access it from Python.

Package: python-gridfs
Architecture: all
Depends: python-pymongo, ${python:Depends}, ${misc:Depends}
Description: Python implementation of GridFS for MongoDB
 GridFS is a storage specification for large objects in MongoDB.
 The Python gridfs module is an implementation based
 on the pymongo module. It provides a file-like interface.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pymongo.egg-info/

%:
	dh  $@

## pymongo 1.8.1

=== debian/changelog ===
pymongo (1.8.1-1build1) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:08:29 +0000

pymongo (1.8.1-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version bumped to 3.9.1

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sun, 22 Aug 2010 15:12:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), python-all-dev, python-support (>= 0.90.0~), python-setuptools
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://api.mongodb.org/python/
 Vcs-Git: git://git.debian.org/git/collab-maint/pymongo.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pymongo.git

## pymongo 1.11

=== debian/changelog ===
pymongo (1.11-1) unstable; urgency=low

  * New upstream release, http://api.mongodb.org/python/1.11/changelog.html

 -- Federico Ceratto <federico.ceratto@gmail.com>  Tue, 14 Jun 2011 15:10:53 +0000

pymongo (1.10.1-1) unstable; urgency=low

  [ Federico Ceratto ]
  * New upstream release.
  * Standards-Version bumped to 3.9.2
  * Minor updates. 

 -- Federico Ceratto <federico.ceratto@gmail.com>  Wed, 13 Apr 2011 22:54:38 +0200

pymongo (1.10-1) unstable; urgency=low

  [ Janos Guljas ]
  * New upstream release.

  [ Federico Ceratto ]
  * FTBFS fixed (Closes: #620069). 

 -- Federico Ceratto <federico.ceratto@gmail.com>  Thu, 31 Mar 2011 20:17:41 +0000

pymongo (1.9-1) unstable; urgency=low

  [ Federico Ceratto ]
  * New upstream release (Closes: #618271).

  [ Janos Guljas ]
  * Fix debian/python-pymongo.install (Closes: #597085).
  * Switch to dh_python2.
  * Add binary package python-pymongo-doc.
  * Add binary package python-bson.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sat, 26 Mar 2011 11:58:19 +0100

=== debian/control ===
Source: pymongo
Section: python
Priority: optional
Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
Uploaders: Janos Guljas <janos@resenje.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8.0.0~),
 python-all-dev,
 python-setuptools (>= 0.6.14),
 python-sphinx
Standards-Version: 3.9.2
Homepage: http://api.mongodb.org/python/
Vcs-Git: git://git.debian.org/git/collab-maint/pymongo.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/pymongo.git

Package: python-pymongo
Architecture: any
Depends: python-bson (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Recommends: python-gridfs (>= ${source:Version})
Provides: ${python:Provides}
Description: Python interface to the MongoDB document-oriented database
 MongoDB is a high-performance, open source, schema-free
 document-oriented data store. Pymongo provides an interface
 to easily access it from Python.

Package: python-pymongo-doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Section: doc
Description: Python interface to the MongoDB document-oriented database (documentation)
 MongoDB is a high-performance, open source, schema-free
 document-oriented data store. Pymongo provides an interface
 to easily access it from Python.
 .
 This package contains the HTML documentation.

Package: python-gridfs
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Python implementation of GridFS for MongoDB
 GridFS is a storage specification for large objects in MongoDB.
 The Python gridfs module is an implementation based
 on the pymongo module. It provides a file-like interface.

Package: python-bson
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${python:Provides}
Description: Python implementation of BSON for MongoDB
 BSON Python module contains all of the Binary JSON encoding and decoding
 logic for MongoDB.

## pymongo 2.0.1

=== debian/changelog ===
pymongo (2.0.1-1+bpo60+1) squeeze-backports; urgency=low

  * Backport to squeeze

 -- Guido Trotter <ultrotter@debian.org>  Fri, 14 Oct 2011 19:26:44 +0100

pymongo (2.0.1-1) unstable; urgency=low

  * New upstream release, http://api.mongodb.org/python/2.0.1/changelog.html

 -- Janos Guljas <janos@resenje.org>  Tue, 16 Aug 2011 04:25:27 +0200

pymongo (2.0-1) unstable; urgency=low

  * New upstream release, http://api.mongodb.org/python/2.0/changelog.html

 -- Federico Ceratto <federico.ceratto@gmail.com>  Tue, 09 Aug 2011 19:28:40 +0000

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  python-setuptools (>= 0.6.14),
  python-sphinx
 Standards-Version: 3.9.2
+X-Python-Version: >= 2.5
 Homepage: http://api.mongodb.org/python/
 Vcs-Git: git://git.debian.org/git/collab-maint/pymongo.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pymongo.git

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build
	sphinx-build -b html doc debian/html
	rm -rf debian/html/_sources/
	rm -f debian/python-pymongo-doc/usr/share/doc/python-pymongo-doc/html/_static/jquery.js
	rm -rf debian/python-pymongo-doc/usr/share/doc/python-pymongo-doc/html/.doctrees

override_dh_installchangelogs:
	dh_installchangelogs doc/changelog.rst

override_dh_auto_clean:
	rm -rf debian/html
	find doc -name "*.pyc" -exec rm -rf {} +
	dh_auto_clean

override_dh_compress:
	dh_compress -X.html

## pymongo 2.1

=== debian/changelog ===
pymongo (2.1-1ubuntu0.1) precise-security; urgency=low

  * SECURITY UPDATE: denial of service via invalid DBRef
    - debian/patches/CVE-2013-2132.patch: fix null pointer when decoding
      invalid DBRef in bson/__init__.py, bson/_cbsonmodule.c, added test to
      test/test_collection.py.
    - CVE-2013-2132

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 21 Jun 2013 11:31:00 -0400

pymongo (2.1-1) unstable; urgency=low

  * New upstream release.
  * Add libjs-underscore dependency to python-pymongo-doc.
  * Use unversioned copyright format uri in debian/changelog.

 -- Janos Guljas <janos@resenje.org>  Sun, 11 Dec 2011 02:05:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: pymongo
 Section: python
 Priority: optional
-Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
 Uploaders: Janos Guljas <janos@resenje.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8.0.0~),
- python-all-dev,
+ python-all-dev (>= 2.6.6-3~),
  python-setuptools (>= 0.6.14),
  python-sphinx
 Standards-Version: 3.9.2
@@ -26,7 +27,7 @@
 
 Package: python-pymongo-doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
 Section: doc
 Description: Python interface to the MongoDB document-oriented database (documentation)
  MongoDB is a high-performance, open source, schema-free

## pymongo 2.1.1

=== debian/changelog ===
pymongo (2.1.1-3) unstable; urgency=low

  * C extensions moved to python-pymongo-ext and python-bson-ext
    packages (Closes: #657150)

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sat, 25 Feb 2012 17:10:28 +0000

pymongo (2.1.1-2) experimental; urgency=low

  * C extensions moved to python-pymongo-ext and python-bson-ext packages

 -- Federico Ceratto <federico.ceratto@gmail.com>  Fri, 10 Feb 2012 21:55:36 +0000

pymongo (2.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Tue, 24 Jan 2012 20:33:33 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pymongo
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
+Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
 Uploaders: Janos Guljas <janos@resenje.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8.0.0~),
@@ -17,13 +16,26 @@
 
 Package: python-pymongo
 Architecture: any
-Depends: python-bson (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
+Depends: python-bson (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
 Recommends: python-gridfs (>= ${source:Version})
+ , python-pymongo-ext [any-i386 any-ia64 any-amd64]
 Provides: ${python:Provides}
 Description: Python interface to the MongoDB document-oriented database
  MongoDB is a high-performance, open source, schema-free
  document-oriented data store. Pymongo provides an interface
  to easily access it from Python.
+ Consider installing the python-pymongo-ext C extension to improve performance.
+
+Package: python-pymongo-ext
+Architecture: any-i386 any-ia64 any-amd64
+Depends: python-bson (= ${binary:Version}), ${shlibs:Depends}
+ , ${python:Depends}
+ , ${misc:Depends}
+Recommends: python-gridfs (>= ${source:Version})
+Provides: ${python:Provides}
+Description: C-coded extension to the python-pymongo package
+ Pymongo provides an interface to easily access MongoDB from Python.
+ This package contains an extension written in C for higher performance.
 
 Package: python-pymongo-doc
 Architecture: all
@@ -48,8 +60,17 @@
 Package: python-bson
 Architecture: any
 Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Recommends: python-bson-ext [any-i386 any-ia64 any-amd64]
 Provides: ${python:Provides}
 Description: Python implementation of BSON for MongoDB
  BSON Python module contains all of the Binary JSON encoding and decoding
  logic for MongoDB.
 
+Package: python-bson-ext
+Architecture: any-i386 any-ia64 any-amd64
+Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Provides: ${python:Provides}
+Description: C-coded extension to the python-bson package
+ BSON Python module contains all of the Binary JSON encoding and decoding
+ logic for MongoDB.
+ This package contains an extension written in C for higher performance.

## pymongo 2.2

=== debian/changelog ===
pymongo (2.2-4+deb7u1) stable-security; urgency=high

  * Fix "CVE-2013-2132: null pointer when decoding invalid DBRef"
    Backported upstream patches from version 2.5 (Closes: #710597)

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sat, 01 Jun 2013 18:38:42 +0100

pymongo (2.2-4) unstable; urgency=low

  * debian/copynight:
    - Copyright updates on bson/time64* files (Closes: #689283)
      thanks to Luca Falavigna <dktrkranz@debian.org>

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sun, 21 Oct 2012 18:30:15 +0100

pymongo (2.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Refactor debian/copyright and link to common-licenses for apache license.
  * Add unicode limitation to copyright statement for
    bson/encoding_helpers.c (Closes: #689283)

 -- Bas Wijnen <wijnen@debian.org>  Sat, 13 Oct 2012 14:09:15 +0200

pymongo (2.2-3) unstable; urgency=low

  * python-pymongo-ext now depends on python-bson-ext (Closes: #688040)
  * Copyright updated (Closes: #689283)

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sat, 06 Oct 2012 17:16:25 +0100

pymongo (2.2-2) unstable; urgency=low

  * Dependency added (Closes: #678471)
  * debhelper dependency version bumped to >= 9~

 -- Federico Ceratto <federico.ceratto@gmail.com>  Tue, 26 Jun 2012 23:34:24 +0100

pymongo (2.2-1) unstable; urgency=low

  * New upstream release.
  * Dependencies added (Closes: #670268)

 -- Federico Ceratto <federico.ceratto@gmail.com>  Thu, 10 May 2012 21:21:40 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
 Uploaders: Janos Guljas <janos@resenje.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8.0.0~),
+Build-Depends: debhelper (>= 9~),
  python-all-dev (>= 2.6.6-3~),
  python-setuptools (>= 0.6.14),
  python-sphinx
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
 Homepage: http://api.mongodb.org/python/
 Vcs-Git: git://git.debian.org/git/collab-maint/pymongo.git
@@ -31,6 +31,8 @@
 Depends: python-bson (= ${binary:Version}), ${shlibs:Depends}
  , ${python:Depends}
  , ${misc:Depends}
+ , python-pymongo
+ , python-bson-ext
 Recommends: python-gridfs (>= ${source:Version})
 Provides: ${python:Provides}
 Description: C-coded extension to the python-pymongo package
@@ -50,7 +52,9 @@
 
 Package: python-gridfs
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
+Depends: ${python:Depends}
+ , ${misc:Depends}
+ , python-pymongo
 Provides: ${python:Provides}
 Description: Python implementation of GridFS for MongoDB
  GridFS is a storage specification for large objects in MongoDB.
@@ -68,7 +72,7 @@
 
 Package: python-bson-ext
 Architecture: any-i386 any-ia64 any-amd64
-Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, python-bson
 Provides: ${python:Provides}
 Description: C-coded extension to the python-bson package
  BSON Python module contains all of the Binary JSON encoding and decoding

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,10 @@
 override_dh_installchangelogs:
 	dh_installchangelogs doc/changelog.rst
 
+override_dh_installdocs:
+	dh_installdocs
+	dh_installdocs -A doc/contributors.rst
+
 override_dh_auto_clean:
 	rm -rf debian/html
 	find doc -name "*.pyc" -exec rm -rf {} +

## pymongo 2.6

=== debian/changelog ===
pymongo (2.6-1~cloud1) precise-havana; urgency=low

  * No change rebuild to enable new architectures.

 -- James Page <james.page@ubuntu.com>  Tue, 08 Oct 2013 14:26:20 +0100

pymongo (2.6-1) unstable; urgency=low

  * Imported Upstream version 2.6 (Closes: #709487)
  * Michael G Schwern copyright on time64.c added (Closes: #720612).
  * Improved *-ext dependencies (Closes: #715395)

 -- Federico Ceratto <federico.ceratto@gmail.com>  Tue, 27 Aug 2013 22:01:21 +0100

pymongo (2.5.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Split out python3 extensions python-pymongo-ext and python3-bson-ext so 
    that they can have proper dependencies (Closes: #712112)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 19 Aug 2013 18:55:56 -0400

pymongo (2.5.2-1) unstable; urgency=high

  * New upstream release. (Closes: #710597)
  * Releasing to unstable.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sun, 02 Jun 2013 11:11:10 +0100

pymongo (2.5-1) experimental; urgency=low

  * New upstream release.
  * Dependency versions updated (Closes: #705560)

 -- Federico Ceratto <federico.ceratto@gmail.com>  Wed, 01 May 2013 22:55:11 +0100

pymongo (2.4.2-1) unstable; urgency=low

  * New upstream release. (Closes: #703447)
  * Python3 support added. (Closes: #680376, #680379)

 -- Federico Ceratto <federico.ceratto@gmail.com>  Wed, 20 Mar 2013 00:38:10 +0000

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Priority: optional
 Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
 Uploaders: Janos Guljas <janos@resenje.org>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 9~),
  python-all-dev (>= 2.6.6-3~),
  python-setuptools (>= 0.6.14),
- python-sphinx
-Standards-Version: 3.9.3
+ python-sphinx,
+ python3-all-dev (>= 3.1),
+ python3-setuptools
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.5
+X-Python3-Version: >= 3.1
 Homepage: http://api.mongodb.org/python/
 Vcs-Git: git://git.debian.org/git/collab-maint/pymongo.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pymongo.git
@@ -26,17 +28,41 @@
  to easily access it from Python.
  Consider installing the python-pymongo-ext C extension to improve performance.
 
+Package: python3-pymongo
+Architecture: any
+Depends: python3-bson (= ${binary:Version}), ${python3:Depends}, ${misc:Depends}
+Recommends: python3-gridfs (>= ${source:Version})
+ , python3-pymongo-ext [any-i386 any-ia64 any-amd64]
+Provides: ${python3:Provides}
+Description: Python3 interface to the MongoDB document-oriented database
+ MongoDB is a high-performance, open source, schema-free
+ document-oriented data store. Pymongo provides an interface
+ to easily access it from Python3.
+ Consider installing the python-pymongo-ext C extension to improve performance.
+
 Package: python-pymongo-ext
 Architecture: any-i386 any-ia64 any-amd64
-Depends: python-bson (= ${binary:Version}), ${shlibs:Depends}
+Depends: ${misc:Depends}
  , ${python:Depends}
- , ${misc:Depends}
- , python-pymongo
- , python-bson-ext
+ , ${shlibs:Depends}
+ , python-bson (= ${binary:Version})
+ , python-pymongo (= ${binary:Version})
 Recommends: python-gridfs (>= ${source:Version})
 Provides: ${python:Provides}
 Description: C-coded extension to the python-pymongo package
  Pymongo provides an interface to easily access MongoDB from Python.
+ This package contains an extension written in C for higher performance.
+
+Package: python3-pymongo-ext
+Architecture: any-i386 any-ia64 any-amd64
+Depends: ${misc:Depends}
+ , ${python:Depends}
+ , ${shlibs:Depends}
+ , python3-bson (= ${binary:Version})
+ , python3-pymongo (= ${binary:Version})
+Recommends: python3-gridfs (>= ${source:Version})
+Description: C-coded extension to the python3-pymongo package
+ Pymongo provides an interface to easily access MongoDB from Python 3.
  This package contains an extension written in C for higher performance.
 
 Package: python-pymongo-doc
@@ -61,6 +87,15 @@
  The Python gridfs module is an implementation based
  on the pymongo module. It provides a file-like interface.
 
+Package: python3-gridfs
+Architecture: all
+Depends: ${python3:Depends}, ${misc:Depends}
+Provides: ${python3:Provides}
+Description: Python3 implementation of GridFS for MongoDB
+ GridFS is a storage specification for large objects in MongoDB.
+ The Python3 gridfs module is an implementation based
+ on the pymongo module. It provides a file-like interface.
+
 Package: python-bson
 Architecture: any
 Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
@@ -70,11 +105,34 @@
  BSON Python module contains all of the Binary JSON encoding and decoding
  logic for MongoDB.
 
+Package: python3-bson
+Architecture: any
+Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Recommends: python3-bson-ext [any-i386 any-ia64 any-amd64]
+Provides: ${python3:Provides}
+Description: Python3 implementation of BSON for MongoDB
+ BSON Python3 module contains all of the Binary JSON encoding and decoding
+ logic for MongoDB.
+
 Package: python-bson-ext
 Architecture: any-i386 any-ia64 any-amd64
-Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, python-bson
+Depends: ${python:Depends}
+ , ${misc:Depends}
+ , ${shlibs:Depends}
+ , python-bson (= ${binary:Version})
 Provides: ${python:Provides}
 Description: C-coded extension to the python-bson package
  BSON Python module contains all of the Binary JSON encoding and decoding
  logic for MongoDB.
  This package contains an extension written in C for higher performance.
+
+Package: python3-bson-ext
+Architecture: any-i386 any-ia64 any-amd64
+Depends: ${python3:Depends}
+ , ${misc:Depends}
+ , ${shlibs:Depends}
+ , python3-bson (= ${binary:Version})
+Description: C-coded extension to the python3-bson package
+ BSON Python 3 module contains all of the Binary JSON encoding and decoding
+ logic for MongoDB.
+ This package contains an extension written in C for higher performance.

## pymongo 2.6.3

=== debian/changelog ===
pymongo (2.6.3-1build1) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 18:31:55 +0000

pymongo (2.6.3-1) unstable; urgency=low

  * New upstream release.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sat, 26 Oct 2013 19:16:51 +0100

pymongo (2.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sun, 22 Sep 2013 14:49:04 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.1
 Homepage: http://api.mongodb.org/python/
-Vcs-Git: git://git.debian.org/git/collab-maint/pymongo.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/pymongo.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/pymongo.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pymongo.git;a=summary
 
 Package: python-pymongo
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

PY3VERS = $(shell py3versions -r 2>/dev/null)
ROOT=$(CURDIR)/debian/tmp

%:
	dh $@ --with python2,python3

override_dh_auto_build:
	dh_auto_build
	for py3 in $(PY3VERS); do \
		$$py3 setup.py build --force --build-base=$(ROOT); \
	done
	sphinx-build -b html doc debian/html
	rm -f debian/python-pymongo-doc/usr/share/doc/python-pymongo-doc/html/_static/jquery.js
	rm -rf debian/python-pymongo-doc/usr/share/doc/python-pymongo-doc/html/.doctrees

override_dh_installchangelogs:
	dh_installchangelogs doc/changelog.rst

override_dh_auto_install:
	for py3 in $(PY3VERS); do \
		$$py3 setup.py install --install-layout=deb --force --no-compile -O0 --root=$(ROOT); \
	done
	dh_auto_install

override_dh_auto_clean:
	rm -rf debian/html
	find doc -name "*.pyc" -exec rm -rf {} +
	dh_auto_clean
	for py3 in $(PY3VERS); do \
		$$py3 setup.py clean --all --build-base=$(ROOT); \
	done

override_dh_compress:
	dh_compress -X.html

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/pymongo/pymongo-([\d\.]*)\.tar\.gz

## pymongo 2.7.1

=== debian/changelog ===
pymongo (2.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Mon, 26 May 2014 20:59:05 +0100

pymongo (2.7-2) unstable; urgency=low

  * Run dh_sphinxdoc when building python-pymongo-doc only

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sat, 26 Apr 2014 17:59:47 +0100

pymongo (2.7-1) unstable; urgency=low

  * New upstream release.
  * Switch to Pybuild
  * Standards-Version bumped to 3.9.5

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sun, 13 Apr 2014 11:17:20 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,15 @@
 Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
 Uploaders: Janos Guljas <janos@resenje.org>
 Build-Depends: debhelper (>= 9~),
+ dh-python,
  python-all-dev (>= 2.6.6-3~),
+ python-nose,
+ python3-nose,
  python-setuptools (>= 0.6.14),
  python-sphinx,
  python3-all-dev (>= 3.1),
  python3-setuptools
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.1
 Homepage: http://api.mongodb.org/python/
@@ -22,6 +25,7 @@
 Recommends: python-gridfs (>= ${source:Version})
  , python-pymongo-ext [any-i386 any-ia64 any-amd64]
 Provides: ${python:Provides}
+Suggests: python-pymongo-doc
 Description: Python interface to the MongoDB document-oriented database
  MongoDB is a high-performance, open source, schema-free
  document-oriented data store. Pymongo provides an interface
@@ -34,6 +38,7 @@
 Recommends: python3-gridfs (>= ${source:Version})
  , python3-pymongo-ext [any-i386 any-ia64 any-amd64]
 Provides: ${python3:Provides}
+Suggests: python-pymongo-doc
 Description: Python3 interface to the MongoDB document-oriented database
  MongoDB is a high-performance, open source, schema-free
  document-oriented data store. Pymongo provides an interface
@@ -67,7 +72,7 @@
 
 Package: python-pymongo-doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
+Depends: ${sphinxdoc:Depends}, ${misc:Depends}, libjs-jquery, libjs-underscore
 Section: doc
 Description: Python interface to the MongoDB document-oriented database (documentation)
  MongoDB is a high-performance, open source, schema-free

## pymongo 2.7.2

=== debian/changelog ===
pymongo (2.7.2-1) unstable; urgency=low

  * New upstream release.
  * Add architectures armel armhf mipsel ppc64el

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sun, 28 Sep 2014 11:54:48 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Architecture: any
 Depends: python-bson (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
 Recommends: python-gridfs (>= ${source:Version})
- , python-pymongo-ext [any-i386 any-ia64 any-amd64]
+ , python-pymongo-ext [any-amd64 any-armel any-armhf any-i386 any-ia64 any-mipsel any-ppc64el]
 Provides: ${python:Provides}
 Suggests: python-pymongo-doc
 Description: Python interface to the MongoDB document-oriented database
@@ -36,7 +36,7 @@
 Architecture: any
 Depends: python3-bson (= ${binary:Version}), ${python3:Depends}, ${misc:Depends}
 Recommends: python3-gridfs (>= ${source:Version})
- , python3-pymongo-ext [any-i386 any-ia64 any-amd64]
+ , python3-pymongo-ext [any-amd64 any-armel any-armhf any-i386 any-ia64 any-mipsel any-ppc64el]
 Provides: ${python3:Provides}
 Suggests: python-pymongo-doc
 Description: Python3 interface to the MongoDB document-oriented database
@@ -46,7 +46,7 @@
  Consider installing the python-pymongo-ext C extension to improve performance.
 
 Package: python-pymongo-ext
-Architecture: any-i386 any-ia64 any-amd64
+Architecture: any-amd64 any-armel any-armhf any-i386 any-ia64 any-mipsel any-ppc64el
 Depends: ${misc:Depends}
  , ${python:Depends}
  , ${shlibs:Depends}
@@ -59,7 +59,7 @@
  This package contains an extension written in C for higher performance.
 
 Package: python3-pymongo-ext
-Architecture: any-i386 any-ia64 any-amd64
+Architecture: any-amd64 any-armel any-armhf any-i386 any-ia64 any-mipsel any-ppc64el
 Depends: ${misc:Depends}
  , ${python:Depends}
  , ${shlibs:Depends}
@@ -104,7 +104,7 @@
 Package: python-bson
 Architecture: any
 Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Recommends: python-bson-ext [any-i386 any-ia64 any-amd64]
+Recommends: python-bson-ext [any-amd64 any-armel any-armhf any-i386 any-ia64 any-mipsel any-ppc64el]
 Provides: ${python:Provides}
 Description: Python implementation of BSON for MongoDB
  BSON Python module contains all of the Binary JSON encoding and decoding
@@ -113,14 +113,14 @@
 Package: python3-bson
 Architecture: any
 Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Recommends: python3-bson-ext [any-i386 any-ia64 any-amd64]
+Recommends: python3-bson-ext [any-amd64 any-armel any-armhf any-i386 any-ia64 any-mipsel any-ppc64el]
 Provides: ${python3:Provides}
 Description: Python3 implementation of BSON for MongoDB
  BSON Python3 module contains all of the Binary JSON encoding and decoding
  logic for MongoDB.
 
 Package: python-bson-ext
-Architecture: any-i386 any-ia64 any-amd64
+Architecture: any-amd64 any-armel any-armhf any-i386 any-ia64 any-mipsel any-ppc64el
 Depends: ${python:Depends}
  , ${misc:Depends}
  , ${shlibs:Depends}
@@ -132,7 +132,7 @@
  This package contains an extension written in C for higher performance.
 
 Package: python3-bson-ext
-Architecture: any-i386 any-ia64 any-amd64
+Architecture: any-amd64 any-armel any-armhf any-i386 any-ia64 any-mipsel any-ppc64el
 Depends: ${python3:Depends}
  , ${misc:Depends}
  , ${shlibs:Depends}

## pymongo 3.0.3

=== debian/changelog ===
pymongo (3.0.3-1~cloud0) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 21 Aug 2015 23:04:51 +0000

pymongo (3.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Federico Ceratto <federico@debian.org>  Fri, 14 Aug 2015 12:50:40 +0200

pymongo (3.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sun, 26 Apr 2015 22:43:13 +0100

## pymongo 3.2

=== debian/changelog ===
pymongo (3.2-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:10:14 +0000

pymongo (3.2-1) unstable; urgency=low

  * New upstream release.

 -- Federico Ceratto <federico@debian.org>  Wed, 23 Dec 2015 21:30:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pymongo
 Section: python
 Priority: optional
-Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
+Maintainer: Federico Ceratto <federico@debian.org>
 Uploaders: Janos Guljas <janos@resenje.org>
 Build-Depends: debhelper (>= 9~),
  dh-python,
@@ -12,7 +12,7 @@
  python-sphinx,
  python3-all-dev (>= 3.1),
  python3-setuptools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.1
 Homepage: http://api.mongodb.org/python/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs doc/changelog.rst

override_dh_compress:
	dh_compress -X.html

override_dh_auto_test:
	# Testing requires a running MongoDB instance
	# https://jira.mongodb.org/browse/PYTHON-683

override_dh_installdocs:
	dh_installdocs
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -q -E -bhtml doc/ debian/python-pymongo-doc/usr/share/doc/python-pymongo-doc/html/

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	# Run dh_sphinxdoc only on python-pymongo-doc, see #745690
	dh_sphinxdoc -ppython-pymongo-doc
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/pymongo/pymongo-(.+)\.tar.gz

## pymongo 3.4.0

=== debian/changelog ===
pymongo (3.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Wed, 11 Jan 2017 18:05:49 +0000

pymongo (3.3.1+dfsg1-1) unstable; urgency=low

  [ Ondřej Nový ]
  * New upstream release
  * Bumped debhelper version to 10
  * d/watch: Use https protocol
  * d/control
    - Vcs-* changed to https protocol
    - Standards-Version is 3.9.8 now (no changes needed)
    - Require newer Python{2,3} version
    - Dropped pre-wheezy version from build deps
    - Added autopkgtest-pkg-python testsuite
  * d/copyright: Exclude built Sphinx documentation from orig tarball
  * Added egg-info (Closes: #827536)

 -- Federico Ceratto <federico@debian.org>  Fri, 11 Nov 2016 12:10:07 +0000

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,20 @@
 Priority: optional
 Maintainer: Federico Ceratto <federico@debian.org>
 Uploaders: Janos Guljas <janos@resenje.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 10),
  dh-python,
- python-all-dev (>= 2.6.6-3~),
- python-nose,
- python3-nose,
- python-setuptools (>= 0.6.14),
+ python-all-dev,
+ python-setuptools,
  python-sphinx,
- python3-all-dev (>= 3.1),
+ python3-all-dev,
  python3-setuptools
-Standards-Version: 3.9.6
-X-Python-Version: >= 2.5
-X-Python3-Version: >= 3.1
+Standards-Version: 3.9.8
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.3
 Homepage: http://api.mongodb.org/python/
-Vcs-Git: git://anonscm.debian.org/collab-maint/pymongo.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pymongo.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/pymongo.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pymongo.git
+Testsuite: autopkgtest-pkg-python
 
 Package: python-pymongo
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,18 +3,22 @@
 
 export DH_VERBOSE=1
 
+# Tests require a running MongoDB instance
+# https://jira.mongodb.org/browse/PYTHON-1216
+export PYBUILD_DISABLE=test
+
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+
+override_dh_clean:
+	rm bson/_cbson.so  pymongo/_cmessage.so pymongo.egg-info -rf
+	dh_auto_clean
 
 override_dh_installchangelogs:
 	dh_installchangelogs doc/changelog.rst
 
 override_dh_compress:
 	dh_compress -X.html
-
-override_dh_auto_test:
-	# Testing requires a running MongoDB instance
-	# https://jira.mongodb.org/browse/PYTHON-683
 
 override_dh_installdocs:
 	dh_installdocs

## pymongo 3.5.1+dfsg1

=== debian/changelog ===
pymongo (3.5.1+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Removed Janos Guljas from Uploaders (Closes: #849733)
  * Fix python3-pymongo-ext dependency (Closes: #867414)

 -- Federico Ceratto <federico@debian.org>  Tue, 29 Aug 2017 23:32:51 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: python
 Priority: optional
 Maintainer: Federico Ceratto <federico@debian.org>
-Uploaders: Janos Guljas <janos@resenje.org>
 Build-Depends: debhelper (>= 10),
  dh-python,
  python-all-dev,
@@ -10,7 +9,7 @@
  python-sphinx,
  python3-all-dev,
  python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
 Homepage: http://api.mongodb.org/python/
@@ -60,7 +59,7 @@
 Package: python3-pymongo-ext
 Architecture: any-amd64 any-armel any-armhf any-i386 any-ia64 any-mipsel any-ppc64el
 Depends: ${misc:Depends}
- , ${python:Depends}
+ , ${python3:Depends}
  , ${shlibs:Depends}
  , python3-bson (= ${binary:Version})
  , python3-pymongo (= ${binary:Version})

## pymongo 3.6.1%2Bdfsg1

=== debian/changelog ===
pymongo (3.6.1+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Wed, 14 Mar 2018 19:54:42 +0000

## pymongo 3.6.1+dfsg1

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,19 @@
 Section: python
 Priority: optional
 Maintainer: Federico Ceratto <federico@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
  dh-python,
  python-all-dev,
  python-setuptools,
  python-sphinx,
  python3-all-dev,
  python3-setuptools
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
 Homepage: http://api.mongodb.org/python/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/pymongo.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pymongo.git
+Vcs-Git: https://salsa.debian.org/debian/pymongo.git
+Vcs-Browser: https://salsa.debian.org/debian/pymongo
 Testsuite: autopkgtest-pkg-python
 
 Package: python-pymongo

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # -*- makefile -*-
 
 export DH_VERBOSE=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # Tests require a running MongoDB instance
 # https://jira.mongodb.org/browse/PYTHON-1216

## pymongo 3.7.1

=== debian/changelog ===
pymongo (3.7.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable tests for now, to fix FTBFS until a new certificate is used
    (Closes: #912035)

 -- Ivo De Decker <ivodd@debian.org>  Sat, 13 Apr 2019 10:08:32 +0000

pymongo (3.7.1-1) unstable; urgency=medium

  * New upstream release (Closes: #882578)
  * Enable unit tests
  * Not "dfsg" version anymore
  * Add dependency (Closes: #896204)

 -- Federico Ceratto <federico@debian.org>  Sat, 18 Aug 2018 13:05:26 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
  python-sphinx,
  python3-all-dev,
  python3-setuptools
-Standards-Version: 4.1.3
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.3
+Standards-Version: 4.2.0
+X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.5
 Homepage: http://api.mongodb.org/python/
 Vcs-Git: https://salsa.debian.org/debian/pymongo.git
 Vcs-Browser: https://salsa.debian.org/debian/pymongo
@@ -92,7 +92,9 @@
 
 Package: python3-gridfs
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}
+Depends: ${python3:Depends}
+ , ${misc:Depends}
+ , python3-pymongo
 Provides: ${python3:Provides}
 Description: Python3 implementation of GridFS for MongoDB
  GridFS is a storage specification for large objects in MongoDB.

=== debian/rules ===
--- 
+++ 
@@ -4,15 +4,12 @@
 export DH_VERBOSE=1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-# Tests require a running MongoDB instance
-# https://jira.mongodb.org/browse/PYTHON-1216
-export PYBUILD_DISABLE=test
-
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
-override_dh_clean:
+override_dh_auto_clean:
 	rm bson/_cbson.so  pymongo/_cmessage.so pymongo.egg-info -rf
+	find . -name '*.so' -delete
 	dh_auto_clean
 
 override_dh_installchangelogs:
@@ -30,3 +27,9 @@
 	# Run dh_sphinxdoc only on python-pymongo-doc, see #745690
 	dh_sphinxdoc -ppython-pymongo-doc
 endif
+
+override_dh_auto_test:
+	# disable tests for now
+	# needs a new certificate
+	# see https://bugs.debian.org/912035
+	echo skipping tests

## pymongo 3.10.1

=== debian/changelog ===
pymongo (3.10.1-0ubuntu2) focal; urgency=medium

  * Fix ObjectId test on 32-bit platforms and jython.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Mar 2020 10:11:30 +0100

pymongo (3.10.1-0ubuntu1) focal; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Mar 2020 16:12:02 +0100

pymongo (3.10.0-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 11:00:17 +0100

pymongo (3.10.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/changelog: Remove trailing whitespaces

  [ Federico Ceratto ]
  * New upstream release
  * Drop Python 2 (Closes: #937482)
  * Update homepage thanks to Chris Lamb (Closes: #924078)

 -- Federico Ceratto <federico@debian.org>  Fri, 27 Dec 2019 22:31:56 +0000

=== debian/control ===
Source: pymongo
Section: python
Priority: optional
Maintainer: Federico Ceratto <federico@debian.org>
Build-Depends: debhelper-compat (= 12),
 dh-python,
 python3-all-dev,
 python3-openssl (>= 19.0.0~),
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.4.1
Homepage: https://api.mongodb.org/python/
Vcs-Git: https://salsa.debian.org/debian/pymongo.git
Vcs-Browser: https://salsa.debian.org/debian/pymongo
Testsuite: autopkgtest-pkg-python

Package: python3-pymongo
Architecture: any
Depends: python3-bson (= ${binary:Version}), ${python3:Depends}, ${misc:Depends}
Recommends: python3-gridfs (>= ${source:Version})
 , python3-pymongo-ext [any-amd64 any-armel any-armhf any-i386 any-ia64 any-mipsel any-ppc64el]
Provides: ${python3:Provides}
Suggests: python-pymongo-doc
Description: Python3 interface to the MongoDB document-oriented database
 MongoDB is a high-performance, open source, schema-free
 document-oriented data store. Pymongo provides an interface
 to easily access it from Python3.
 Consider installing the python3-pymongo-ext C extension to improve performance.

Package: python3-pymongo-ext
Architecture: any-amd64 any-armel any-armhf any-i386 any-ia64 any-mipsel any-ppc64el
Depends: ${misc:Depends}
 , ${python3:Depends}
 , ${shlibs:Depends}
 , python3-bson (= ${binary:Version})
 , python3-pymongo (= ${binary:Version})
Recommends: python3-gridfs (>= ${source:Version})
Description: C-coded extension to the python3-pymongo package
 Pymongo provides an interface to easily access MongoDB from Python 3.
 This package contains an extension written in C for higher performance.

Package: python-pymongo-doc
Architecture: all
Depends: ${sphinxdoc:Depends}, ${misc:Depends}, libjs-jquery, libjs-underscore
Section: doc
Description: Python interface to the MongoDB document-oriented database (documentation)
 MongoDB is a high-performance, open source, schema-free
 document-oriented data store. Pymongo provides an interface
 to easily access it from Python.
 .
 This package contains the HTML documentation.

Package: python3-gridfs
Architecture: all
Depends: ${python3:Depends}
 , ${misc:Depends}
 , python3-pymongo
Provides: ${python3:Provides}
Description: Python3 implementation of GridFS for MongoDB
 GridFS is a storage specification for large objects in MongoDB.
 The Python3 gridfs module is an implementation based
 on the pymongo module. It provides a file-like interface.

Package: python3-bson
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: python3-bson-ext [any-amd64 any-armel any-armhf any-i386 any-ia64 any-mipsel any-ppc64el]
Provides: ${python3:Provides}
Description: Python3 implementation of BSON for MongoDB
 BSON Python3 module contains all of the Binary JSON encoding and decoding
 logic for MongoDB.

Package: python3-bson-ext
Architecture: any-amd64 any-armel any-armhf any-i386 any-ia64 any-mipsel any-ppc64el
Depends: ${python3:Depends}
 , ${misc:Depends}
 , ${shlibs:Depends}
 , python3-bson (= ${binary:Version})
Description: C-coded extension to the python3-bson package
 BSON Python 3 module contains all of the Binary JSON encoding and decoding
 logic for MongoDB.
 This package contains an extension written in C for higher performance.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	rm bson/_cbson.so  pymongo/_cmessage.so pymongo.egg-info -rf
@@ -27,9 +27,3 @@
 	# Run dh_sphinxdoc only on python-pymongo-doc, see #745690
 	dh_sphinxdoc -ppython-pymongo-doc
 endif
-
-override_dh_auto_test:
-	# disable tests for now
-	# needs a new certificate
-	# see https://bugs.debian.org/912035
-	echo skipping tests

## pymongo 3.11.0

=== debian/changelog ===
pymongo (3.11.0-1ubuntu0.22.04.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds read
    - debian/patches/CVE-2024-5629.patch: Fix bson size check
      in bson/_cbsonmodule.c.
    - CVE-2024-5629

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 04 Jul 2024 14:17:48 -0300

pymongo (3.11.0-1build4) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:41:45 +0000

pymongo (3.11.0-1build3) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:57:54 +0000

pymongo (3.11.0-1build2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:22:45 +0200

pymongo (3.11.0-1build1) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:41:43 +0100

pymongo (3.11.0-1) unstable; urgency=medium

  [ Federico Ceratto ]
  * New upstream release

  [ Stefano Rivera ]
  * Fix test failure on Python 3.9 (Closes: #972207)
  * Temporarily install __pycache__ directories, to appease dh_missing.

 -- Federico Ceratto <federico@debian.org>  Sat, 17 Oct 2020 22:23:41 +0100

pymongo (3.10.0-2) unstable; urgency=medium

  * debian/patches/da778c501761f9c7fa0f2f1538e5d569d67ad044.patch
    - Fix ObjectId test on 32-bit platforms; Closes: #951723

 -- Sandro Tosi <morph@debian.org>  Sun, 29 Mar 2020 01:06:09 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: pymongo
 Section: python
 Priority: optional
-Maintainer: Federico Ceratto <federico@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Federico Ceratto <federico@debian.org>
+Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3-all-dev,
  python3-openssl (>= 19.0.0~),
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://api.mongodb.org/python/
 Vcs-Git: https://salsa.debian.org/debian/pymongo.git
 Vcs-Browser: https://salsa.debian.org/debian/pymongo
